package hideandseek.commands.admin;

import java.util.Iterator;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.ChatColor;
import java.util.List;
import org.bukkit.Location;
import java.util.Collection;
import java.util.Arrays;
import hideandseek.xseries.XMaterial;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;
import java.util.ArrayList;
import hideandseek.managers.FilesManager;
import hideandseek.Arena;
import hideandseek.utils.Utils;
import hideandseek.Config;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class CreateCommand extends SubCommand
{
    public CreateCommand() {
        super("hideandseek.create", true, "<Arena> <Starting Amount of Seekers> <Minimum Hiders> <Maximum Players>");
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        if (Config.getInstance().bungeeEnabled) {
            var3.sendMessage((String)var2.messages.get("unknown_command"));
            return true;
        }
        if (var4.length < 5) {
            return false;
        }
        if (!Utils.isNumber(var4[2])) {
            var3.sendMessage(var2.prefix + "抓捕者数量下限必须是个数字!");
            return true;
        }
        if (!Utils.isNumber(var4[3])) {
            var3.sendMessage(var2.prefix + "躲藏者数量下限必须是个数字!");
            return true;
        }
        if (!Utils.isNumber(var4[4])) {
            var3.sendMessage(var2.prefix + "玩家数量上限必须是个数字!");
            return true;
        }
        if (Arena.valueOf(var4[1]) != null) {
            var3.sendMessage(var2.prefix + "存在相同名称的房间!，请换一个房间名称");
            return true;
        }
        final String var5 = var4[1];
        if (var5.length() > 14) {
            var3.sendMessage(var2.prefix + "房间名称长度不得超过14个字符");
            return true;
        }
        final FileConfiguration var6 = FilesManager.getInstance().getConfig("arenas.yml");
        final int var7 = Integer.parseInt(var4[2]);
        final int var8 = Integer.parseInt(var4[3]);
        final int var9 = Integer.parseInt(var4[4]);
        final byte var10 = 30;
        final short var11 = 300;
        final ArrayList<ItemStack> var12 = new ArrayList<ItemStack>();
        var12.addAll(Arrays.asList(new ItemStack(Material.STONE), new ItemStack(XMaterial.GRASS_BLOCK.parseMaterial()), new ItemStack(XMaterial.OAK_PLANKS.parseMaterial()), new ItemStack(XMaterial.CRAFTING_TABLE.parseMaterial()), new ItemStack(Material.PACKED_ICE), new ItemStack(XMaterial.ENCHANTING_TABLE.parseMaterial()), new ItemStack(Material.TNT), new ItemStack(Material.NOTE_BLOCK)));
        final ArrayList var13 = new ArrayList();
        for (ItemStack var15 : var12) {
            var13.add(var15.getType().name() + ":" + var15.getDurability());
        }
        var6.set("Arenas." + var5 + ".enabled", (Object)false);
        var6.set("Arenas." + var5 + ".startingAmountOfSeekers", (Object)var7);
        var6.set("Arenas." + var5 + ".minHiders", (Object)var8);
        var6.set("Arenas." + var5 + ".maxPlayers", (Object)var9);
        var6.set("Arenas." + var5 + ".lobbyTime", (Object)(int)var10);
        var6.set("Arenas." + var5 + ".gameTime", (Object)(int)var11);
        var6.set("Arenas." + var5 + ".give_hider_items_after", (Object)60);
        var6.set("Arenas." + var5 + ".hiders_become_solid_after", (Object)5);
        var6.set("Arenas." + var5 + ".warn_about_time_every", (Object)60);
        var6.set("Arenas." + var5 + ".powerups_spawn_every", (Object)120);
        var6.set("Arenas." + var5 + ".disguises", (Object)var13);
        var6.set("Arenas." + var5 + ".effects.hiders", (Object)Arrays.asList(new Object[0]));
        var6.set("Arenas." + var5 + ".effects.seekers", (Object)Arrays.asList(new Object[0]));
        FilesManager.getInstance().saveConfig("arenas.yml");
        final Arena var16 = new Arena(var1, var5, var7, var8, var9, (Location)null, (Location)null, (Location)null, (Location)null, Arena.ArenaState.DISABLED, (ArrayList)var12, (int)var10, (int)var11, (Location)null, new ArrayList(), 60, 5, 60, 120, (List)new ArrayList(), (List)new ArrayList());
        if (var1.joinGui != null && var16.arenaNumber < var1.joinGui.getSize()) {
            var1.joinGui.setItem(var16.arenaNumber, var16.arenaItem);
        }
        var3.sendMessage(var2.prefix + String.valueOf(ChatColor.GREEN) + "成功! " + String.valueOf(ChatColor.GOLD) + "你创建了一个房间 " + String.valueOf(ChatColor.AQUA) + var5 + String.valueOf(ChatColor.GOLD) + " 但它现在被" + String.valueOf(ChatColor.RED) + "禁止使用" + String.valueOf(ChatColor.GOLD) + ", 当你设置完成后才可启用它,请使用\" /has edit \" 来修改房间设置 " + String.valueOf(ChatColor.AQUA) + var5);
        return true;
    }
}
